package com.example.venue_reservation_service.controller;


import com.example.venue_reservation_service.dto.QuestionDTO;
import com.example.venue_reservation_service.dto.QuestionQueryDTO;
import com.example.venue_reservation_service.service.QuestionService;
import com.example.venue_reservation_service.vo.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/question")
@Api("提问管理")
@CrossOrigin
public class QuestionController {

    @Resource
    private QuestionService questionService;


    @ApiOperation("添加提问")
    @PostMapping("/create")
    public Result create(@RequestBody QuestionDTO dto) {
        return questionService.create(dto);
    }

    @ApiOperation("用户分页查询提问")
    @PostMapping("/user/page")
    public Result userPage(@RequestBody QuestionQueryDTO dto) {
        return questionService.userPage(dto);
    }

    @ApiOperation("管理员分页查询提问")
    @PostMapping("/admin/page")
    public Result adminPage(@RequestBody QuestionQueryDTO dto) {
        return questionService.adminPage(dto);
    }

}
