package com.example.venue_reservation_service.controller;


import com.example.venue_reservation_service.domain.Reply;
import com.example.venue_reservation_service.dto.ReplyDTO;
import com.example.venue_reservation_service.service.ReplyService;
import com.example.venue_reservation_service.vo.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 回复记录表 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-06-21
 */
@RestController
@RequestMapping("/reply")
@Api("回复管理")
@CrossOrigin
public class ReplyController {

    @Autowired
    private ReplyService replyService;

    @ApiOperation("添加回复")
    @PostMapping("/create")
    public Result createReply(@RequestBody ReplyDTO dto) {
        return replyService.createReply(dto);
    }

    @ApiOperation("修改回复")
    @PostMapping("/update")
    public Result updateReply(@RequestBody ReplyDTO dto) {
        return replyService.updateReply(dto);
    }

}
