package com.example.venue_reservation_service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.domain.SensitiveWord;
import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.dto.SensitiveWordDTO;
import com.example.venue_reservation_service.dto.WordDTO;
import com.example.venue_reservation_service.vo.Result;

public interface SensitiveWordService extends IService<SensitiveWord> {

    // 获取敏感词数据
    Result getSensitiveWords(WordDTO dto);

    //  添加敏感词
    Result addSensitiveWord(SensitiveWordDTO dto);

    // 更新敏感词
    Result updateSensitiveWord(SensitiveWord word);

    // 移除敏感词
    Result removeSensitiveWord(Integer id);

    Result set(Integer id);
}
