package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.*;
import com.example.venue_reservation_service.vo.Result;
import org.springframework.web.multipart.MultipartFile;

/**
* @author 31586
* @description 针对表【venue_user】的数据库操作Service
* @createDate 2024-11-12 21:43:55
*/
public interface UserService extends IService<User> {

    Result getOpenId(String code);

    Result adminLogin(AdminDTO dto);

    Result userUpdate(UserInfo userInfo);

    Result getUserList(UserDTO dto);

    Result userCheck(CheckDTO dto);

    Result getSchool(Integer userId);

    Result userRecharge(Integer userId, Double amount);

    Result checkPhone(PhoneDTO dto);

    Result useNum();

    Result createAdmin(User user);

    Result removeAdmin(Integer adminId);

    Result admininfo(PageDTO dto);

    Result passwd(PasswdDTO dto);

    Result upload(Integer userId, MultipartFile file);

    Result getUserInfo(Integer userId);
}
