package com.example.venue_reservation_service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.venue_reservation_service.domain.VeMessage;
import com.example.venue_reservation_service.service.VeMessageService;
import com.example.venue_reservation_service.mapper.VeMessageMapper;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
* @author 31586
* @description 针对表【venue_message】的数据库操作Service实现
* @createDate 2025-06-17 15:36:33
*/
@Service
public class VeMessageServiceImpl extends ServiceImpl<VeMessageMapper, VeMessage>
    implements VeMessageService{

    @Resource
    private VeMessageMapper messageMapper;

    @Override
    public VeMessage saveMessage(VeMessage message) {
        message.setCreatedAt(LocalDateTime.now());
        messageMapper.insert(message);
        return message;
    }

    @Override
    public List<VeMessage> getMessagesBySessionId(Integer sessionId) {
        QueryWrapper<VeMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("session_id", sessionId)
                .orderByAsc("created_at");
        return messageMapper.selectList(queryWrapper);
    }

}




